// Copyright 2000-2020 JetBrains s.r.o. Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file.
package com.intellij.build;

import com.intellij.openapi.project.Project;
import org.jetbrains.annotations.ApiStatus;
import org.jetbrains.annotations.NotNull;

@ApiStatus.Experimental
public interface BuildWorkspaceConfiguration {
  boolean isShowFirstErrorInEditor();

  static @NotNull BuildWorkspaceConfiguration getInstance(@NotNull Project project) {
    return project.getService(BuildWorkspaceConfiguration.class);
  }
}
